update the version number to 1.0.2